import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    devicenum: "", // 设备编号
    homeInfo: {}, // 首页数据
    datumList: [], // 首页材料
    matterList: [], // 首页事项
  },
  getters: {},
  mutations: {
    SET_devicenum(state, devicenum) {
      state.devicenum = devicenum;
    },
    SET_homeInfo(state, homeInfo) {
      state.homeInfo = homeInfo;
    },
    SET_datumList(state, datumList) {
      state.datumList = datumList;
    },
    SET_matterList(state, matterList) {
      state.matterList = matterList;
    },
  },
  actions: {},
  modules: {},
});
